import rita.wordnet.*;

public class WordNetExplorer {
  public static void main(String[] args) {
    String word = args[0];
    String pos = args[1];

    RiWordnet wordnet = new RiWordnet(null);

    System.out.println(word + " as " + pos + ":");
    int[] senses = wordnet.getSenseIds(word, pos);
    for (int senseId: senses) {
      System.out.println(senseId + ": " + wordnet.getDescription(senseId));

      // display hypernyms
      String[] hypernyms = wordnet.getHypernyms(senseId);
      if (hypernyms != null) {
        System.out.println("Hypernyms:");
        for (String hypernym: hypernyms) {
          System.out.println("\t - " + hypernym);
        }
      }

      // display hyponyms
      String[] hyponyms = wordnet.getHyponyms(senseId);
      if (hyponyms != null) {
        System.out.println("Hyponyms:");
        for (String hyponym: hyponyms) {
          System.out.println("\t - " + hyponym);
        }
      }

      // display antonyms
      String[] antonyms = wordnet.getAntonyms(senseId);
      if (antonyms != null) {
        System.out.println("Antonyms:");
        for (String antonym: antonyms) {
          System.out.println("\t - " + antonym);
        }
      }

      // display meronyms
      String[] meronyms = wordnet.getMeronyms(senseId);
      if (meronyms != null) {
        System.out.println("Meronyms:");
        for (String meronym: meronyms) {
          System.out.println("\t - " + meronym);
        }
      }

      // display examples
      String[] examples = wordnet.getExamples(senseId);
      if (examples != null) {
        System.out.println("Examples:");
        for (String example: examples) {
          System.out.println("\t - " + example);
        }
      }
      System.out.println();
    } 

  }
}
