import rita.*;

String contents;
String[] pos;

void setup() {
  size(640, 640);
  smooth();
  
  StringBuffer buff = new StringBuffer();
  
  // build a long string by appending to a StringBuffer object
  String[] data = loadStrings("data.txt");
  for (int i = 0; i < data.length; i++) {
    buff.append(data[i] + " ");
  }
  // convert stringbuffer to string
  contents = buff.toString();
  
  // use RiTa to get parts of speech for this text
  RiAnalyzer ra = new RiAnalyzer(this);
  ra.analyze(contents);
  String posStr = ra.getPos();
  pos = posStr.split(" ");

  noLoop();
  
}

void draw() {
  background(255);
  float xcoord = 10;
  float ycoord = 10;
  
  // draw grid based on part of speech of each token
  for (int i = 0; i < pos.length; i++) {
    
    String p = pos[i];
    float rectSize = 18;
    
    noStroke();
    fill(192);

    if (
      p.equals("nn") ||
      p.equals("nns") ||
      p.equals("fw") ||
      p.equals("nnp") ||
      p.equals("nnps") ||
      p.equals("prp") ||
      p.equals("wp"))
    {
      rectSize = 24;
      fill(56, 193, 19);
    }
    else if (
      p.equals("vb") ||
      p.equals("vbd") ||
      p.equals("vbg") ||
      p.equals("vbn") ||
      p.equals("vbp") ||
      p.equals("vbz"))
    {
      fill(22, 98, 147);
    }
    else if (p.equals("cc")) { // coordinating conjunction
      fill(208, 226);
      rectSize = 12;
    }
    else if (p.equals("in")) {
      fill(220, 22, 45);
      rectSize = 12;
    }
    else if (
      p.equals("dt") ||
      p.equals("jj") ||
      p.equals("jjr") ||
      p.equals("wdt") ||
      p.equals("prp$") ||
      p.equals("wp$"))
    {
      fill(133, 240, 105);
    }
    else if (
      p.equals("md") ||
      p.equals("rb") ||
      p.equals("rbr") ||
      p.equals("rbs") ||
      p.equals("rp") ||
      p.equals("to") ||
      p.equals("wrb"))
    {
      fill(107, 180, 228);
    }
    
    rectMode(CENTER); 
    rect(xcoord, ycoord, rectSize, rectSize);
    xcoord += 20;
    if (xcoord > width) {
      xcoord = 10;
      ycoord += 20;
    }
    
  }
}

